No need to validate the parameters if we are doing a
REMOVE_ALL command.
--- diff/drivers/md/dm-ioctl.c	2002-11-29 09:45:13.000000000 +0000
+++ source/drivers/md/dm-ioctl.c	2002-11-29 09:45:21.000000000 +0000
@@ -994,6 +994,10 @@
 
 static int validate_params(uint cmd, struct dm_ioctl *param)
 {
+	/* Ignores parameters */
+	if (cmd == DM_REMOVE_ALL_CMD)
+		return 0;
+
 	/* Unless creating, either name of uuid but not both */
 	if (cmd != DM_DEV_CREATE_CMD) {
 		if ((!*param->uuid && !*param->name) ||
